{
  "name": "spdm",
  "version": "0.0.0",
  "private": true,
  "type": "module",
  "engines": {
    "node": "^20.19.0 || >=22.12.0"
  },
  "scripts": {
    "dev": "vite --mode development",
    "build:dev": "vite build --mode development",
    "build:test": "vite build --mode test",
    "build:prod": "vite build --mode production",
    "build": "run-p type-check \"build-only {@}\" --",
    "deploy:dev": "npm run build:dev && node ./deploy.js dev",
    "deploy:test": "npm run build:test && node ./deploy.js test",
    "deploy:prod": "npm run build:prod && node ./deploy.js prod",
    "preview": "vite preview",
    "build-only": "vite build",
    "type-check": "vue-tsc --build",
    "lint": "eslint . --fix",
    "format": "prettier --write src/"
  },
  "dependencies": {
    "@antv/g6": "^4.8.24",
    "@antv/x6": "^2.18.1",
    "@antv/x6-plugin-clipboard": "^2.1.6",
    "@antv/x6-plugin-dnd": "^2.1.1",
    "@antv/x6-plugin-history": "^2.2.4",
    "@antv/x6-plugin-keyboard": "^2.2.3",
    "@antv/x6-plugin-selection": "^2.2.2",
    "@antv/x6-plugin-snapline": "^2.1.7",
    "@antv/x6-plugin-stencil": "^2.1.5",
    "@antv/x6-plugin-transform": "^2.1.8",
    "@antv/x6-vue-shape": "^2.1.2",
    "@element-plus/icons-vue": "^2.3.2",
    "axios": "^1.11.0",
    "chinese-workday": "^1.10.0",
    "dayjs": "^1.11.18",
    "dhtmlx-gantt": "^8.0.6",
    "echarts": "^6.0.0",
    "element-plus": "^2.11.7",
    "html2canvas": "^1.4.1",
    "jspdf": "^3.0.3",
    "lodash-es": "^4.17.21",
    "mitt": "^3.0.1",
    "monaco-editor": "^0.54.0",
    "pinia": "^3.0.3",
    "sass-embedded": "^1.90.0",
    "ssh2-sftp-client": "^12.0.1",
    "uuid": "^13.0.0",
    "vue": "^3.5.18",
    "vue-i18n": "11",
    "vue-router": "^4.5.1",
    "vuedraggable": "^4.1.0",
    "vxe-pc-ui": "^4.9.13",
    "vxe-table": "^4.16.0",
    "xlsx": "^0.18.5"
  },
  "devDependencies": {
    "@tsconfig/node22": "^22.0.2",
    "@types/node": "^22.16.5",
    "@vitejs/plugin-vue": "^6.0.1",
    "@vitejs/plugin-vue-jsx": "^5.0.1",
    "@vue/eslint-config-prettier": "^10.2.0",
    "@vue/eslint-config-typescript": "^14.6.0",
    "@vue/tsconfig": "^0.7.0",
    "eslint": "^9.31.0",
    "eslint-plugin-vue": "~10.3.0",
    "jiti": "^2.4.2",
    "npm-run-all2": "^8.0.4",
    "prettier": "3.6.2",
    "typescript": "~5.8.0",
    "vite": "^7.0.6",
    "vite-plugin-vue-devtools": "^8.0.0",
    "vue-tsc": "^3.0.4"
  }
}
